Skip to main content
POST
/
workspaces
/
{workspace_id}
/
experiments
Create Experiment
curl --request POST \
  --url https://{regionAndDomain}.com/api/app/workspaces/{workspace_id}/experiments \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "hypothesis": "<string>",
  "settings": {},
  "variants": "<array>",
  "metrics": "<array>",
  "global_access_type": "<string>"
}
'
import requests

url = "https://{regionAndDomain}.com/api/app/workspaces/{workspace_id}/experiments"

payload = {
    "name": "<string>",
    "description": "<string>",
    "hypothesis": "<string>",
    "settings": {},
    "variants": "<array>",
    "metrics": "<array>",
    "global_access_type": "<string>"
}
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    hypothesis: '<string>',
    settings: {},
    variants: '<array>',
    metrics: '<array>',
    global_access_type: '<string>'
  })
};

fetch('https://{regionAndDomain}.com/api/app/workspaces/{workspace_id}/experiments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "results": {
    "id": "<string>",
    "name": "<string>",
    "content_type": "<string>",
    "description": "<string>",
    "created": "<string>",
    "creator_id": 123,
    "creator_name": "<string>",
    "creator_email": "<string>",
    "modified": "<string>",
    "deleted": "<string>",
    "is_favorited": true,
    "pinned_date": "<string>",
    "tags": [
      "<string>"
    ],
    "last_modified_by_id": 123,
    "last_modified_by_name": "<string>",
    "last_modified_by_email": "<string>",
    "can_view": true,
    "can_update_basic": true,
    "can_update_restricted": true,
    "can_update_visibility": true,
    "is_superadmin": true,
    "allow_staff_override": true,
    "can_share": true,
    "is_shared_with_project": true,
    "hypothesis": "<string>",
    "variants": "<array>",
    "metrics": "<array>",
    "settings": {},
    "exposures_cache": {},
    "results_cache": {},
    "start_date": "<string>",
    "end_date": "<string>",
    "feature_flag": {}
  }
}
{
  "error": "<string>",
  "status": "error"
}
{
  "error": "<string>",
  "status": "error"
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

workspace_id
integer
required

Body

application/json
name
string
required
Required string length: 1 - 255
description
string
Maximum string length: 400
hypothesis
string
settings
object
variants
array
metrics
array
global_access_type
string

Response

Created

status
string
required
Allowed value: "ok"
results
object
required